crashpad::ChildPortServer::Interface Class Referenceabstract

An interface that the request message that is a part of the `child_port` Mach subsystem can be dispatched to. More...

`#include "util/mach/child_port_server.h"`

## Public Member Functions

virtual kern_return_t | HandleChildPortCheckIn (child_port_server_t server, const child_port_token_t token, mach_port_t port, mach_msg_type_name_t right_type, const mach_msg_trailer_t *trailer, bool *destroy_request)=0
| Handles check-ins sent by `child_port_check_in()`. More...

## Detailed Description

An interface that the request message that is a part of the `child_port` Mach subsystem can be dispatched to.

## Member Function Documentation

## HandleChildPortCheckIn()

virtual kern_return_t crashpad::ChildPortServer::Interface::HandleChildPortCheckIn | ( | child_port_server_t | server,
|  | const child_port_token_t | token,
|  | mach_port_t | port,
|  | mach_msg_type_name_t | right_type,
|  | const mach_msg_trailer_t * | trailer,
|  | bool * | destroy_request
| ) |  |

pure virtual

Handles check-ins sent by `child_port_check_in()`.

This behaves equivalently to a `handle_child_port_check_in()` function used with `child_port_server()`.

Parameters

  [in] | server |
  [in] | token |
  [in] | port |
  [in] | right_type |
  [in] | trailer | The trailer received with the request message.
  [out] | destroy_request | `true` if the request message is to be destroyed even when this method returns success. See MachMessageServer::Interface.

The documentation for this class was generated from the following file:

- util/mach/child_port_server.h